%define upstream_name    Image-PNG-Libpng
%define upstream_version 0.59

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl interface to the C library "libpng"
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: pkgconfig(libpng)
%description
Image::PNG::Libpng is a Perl library for accessing the contents of PNG
(Portable Network Graphics) images. Image::PNG::Libpng enables Perl to use
the "libpng" library to read and write files in PNG format.
Image::PNG::Libpng does not contain libpng. It must be installed prior to
installing Image::PNG::Libpng.

Image::PNG::Libpng consists of Perl subroutines which mirror the C
functions in libpng, plus helper subroutines to make it easier to read and
write PNG data in Perl.

For those familiar with libpng, the section the /Differences from libpng
manpage explains the differences with libpng.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Do not install author scripts
for F in get-pixel.pl nicemake.pl t/make-tEXT.pl; do
    rm "$F"
    perl -i -ne 'print $_ unless m{^\Q'"$F"'\E}' MANIFEST
done
# Help generators to recognize Perl scripts
for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!\s*perl}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorarch/*
/usr/bin/pnginspect
/usr/share/man/man1/pnginspect.1.xz

%changelog
* Fri Feb 28 2025 tv <tv> 0.590.0-1.mga10
+ Revision: 2153543
- update to 0.59

* Thu Aug 22 2024 neoclust <neoclust> 0.580.0-2.mga10
+ Revision: 2088069
- Rebuild against new perl

* Mon Jan 29 2024 tv <tv> 0.580.0-1.mga10
+ Revision: 2035908
- update to 0.58

* Wed Nov 29 2023 tv <tv> 0.570.0-6.mga10
+ Revision: 2011249
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.570.0-5.mga9
+ Revision: 1861969
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.570.0-4.mga9
+ Revision: 1796745
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.570.0-3.mga9
+ Revision: 1726720
- Rebuild for perl 5.34

* Tue May 18 2021 tv <tv> 0.570.0-2.mga9
+ Revision: 1725394
- Fix deps by removing author scripts

* Wed Apr 28 2021 tv <tv> 0.570.0-1.mga9
+ Revision: 1720248
- update to 0.57

* Wed Dec 23 2020 tv <tv> 0.560.0-1.mga8
+ Revision: 1663064
- update to 0.56

* Tue Dec 22 2020 tv <tv> 0.550.0-1.mga8
+ Revision: 1662778
- update to 0.55

* Sun Dec 20 2020 tv <tv> 0.540.0-1.mga8
+ Revision: 1661639
- update to 0.54

* Sat Dec 19 2020 tv <tv> 0.530.0-1.mga8
+ Revision: 1661223
- update to 0.53

* Mon Dec 14 2020 tv <tv> 0.520.0-1.mga8
+ Revision: 1656916
- update to 0.52

* Sun Dec 13 2020 tv <tv> 0.510.0-1.mga8
+ Revision: 1656268
- update to 0.51

* Thu Dec 10 2020 tv <tv> 0.490.0-1.mga8
+ Revision: 1655103
- update to 0.49

* Mon Nov 23 2020 tv <tv> 0.480.0-1.mga8
+ Revision: 1648599
- update to 0.48

* Wed Nov 11 2020 tv <tv> 0.470.0-1.mga8
+ Revision: 1644696
- imported package perl-Image-PNG-Libpng

